{
#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, m, d, u, i, j, br=0, l, r, x;
    scanf("%d %d", &n, &m);
    int dp[n];
    int up[n];
    int rp[m];
    for(i=0; i<n; i++)
    {
        scanf("%d %d", &dp[i], &up[i]);
    }
    for(i=0; i<m; i++)
    {
        scanf("%d %d %d", &l, &r, &x);
        br=0;
        for(j=l-1; j<r;j++)
        {
            if(x>=dp[j] && x<=up[j])
            {
                br++;
            }
        }
        rp[i] = br;
    }
    for(i=0; i<m; i++)
    {
        printf("%d\n", rp[i]);
    }
}
    return 0;
}